evolution-sharp 5.0 transition

Bug #332784 reported by Chris Halse Rogers on 2009-02-22
14
Affects Status Importance Assigned to Milestone
beagle (Ubuntu)
Medium
Unassigned
gfax (Ubuntu)
Medium
Unassigned
gnome-do-plugins (Ubuntu)
Medium
Unassigned
tasque (Ubuntu)
High
Unassigned

Bug Description

 affects ubuntu/gfax
 status confirmed
 importance medium
 affects ubuntu/beagle
 status confirmed
 importance medium
 affects ubuntu/gnome-do-plugins
 status confirmed
 importance medium
 affects ubuntu/tasque
 status confirmed
 importance high

I've just uploaded a new evolution-sharp package which bumps the ABI
from 3.0 to 5.0. This requires the rdepends to transition to the new
libevolution5.0-cil package, once it leaves NEW.

There are some small API changes in the CalRecurrence class; if these
FTBFS against the new evolution-sharp, that'd be the first place to
look.

Chris Coulson (chrisccoulson) wrote :

Duplicate bug report contains a patch for beagle: http://launchpadlibrarian.net/23048952/jaunty-debdiff

Stefan Lesicnik (stefanlsd) wrote :
Stefan Lesicnik (stefanlsd) wrote :
Stefan Lesicnik (stefanlsd) wrote :
Stefan Lesicnik (stefanlsd) wrote :
Stefan Lesicnik (stefanlsd) wrote :

All diffs tested and built in local pbuilder (amd64)

Chris Coulson (chrisccoulson) wrote :

Thank you for your work. Subscribing sponsors

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gfax - 0.7.6-10ubuntu2

---------------
gfax (0.7.6-10ubuntu2) jaunty; urgency=low

  * Rebuild libevolution3.0-cil -> libevolution5.0-cil (LP: #332784)

 -- Stefan Lesicnik <email address hidden> Tue, 24 Feb 2009 13:36:33 +0200

Changed in gfax:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-do-plugins - 0.8.0.2+dfsg-1~ubuntu3

---------------
gnome-do-plugins (0.8.0.2+dfsg-1~ubuntu3) jaunty; urgency=low

  * Rebuild libevolution3.0-cil -> libevolution5.0-cil (LP: #332784)

 -- Stefan Lesicnik <email address hidden> Tue, 24 Feb 2009 13:39:08 +0200

Changed in gnome-do-plugins:
status: Confirmed → Fix Released
James Westby (james-w) wrote :

beagle has already been done.

Changed in beagle:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tasque - 0.1.8-1build2

---------------
tasque (0.1.8-1build2) jaunty; urgency=low

  * Rebuild libevolution3.0-cil -> libevolution5.0-cil (LP: #332784)
    - This makes tasque work with evolution again (LP: #313683, #319385)

 -- Stefan Lesicnik <email address hidden> Tue, 24 Feb 2009 14:01:40 +0200

Changed in tasque:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers